import {
  select,
  csv,
  scaleLinear
} from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const render = data => {
  svg.selectAll('rect').data(data)
    .enter().append('rect')
      .attr('width', 300)
      .attr('height', 300)
};

csv('data.csv').then(data => {
  data.forEach(d => {
    d.population = +d.population*1000;
  })
  render(data);
});

var myScale = scaleLinear();
myScale
  .domain([0, 100])
  .range([0, 30]);
console.log(myScale(50));


